Package networkx

[frames | no frames]

## Package networkx

> NetworkX (NX) is a Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks.

# Using

> Just write in Python

>     >>> import networkx as NX
>     >>> G=NX.Graph()
>     >>> G.add_edge(1,2)
>     >>> G.add_node("spam")
>     >>> print G.nodes()
>     [1, 2, 'spam']
>     >>> print G.edges()
>     [(1, 2)]

See networkx.base for the details of the API.

Submodules

- `base`: Base classes for graphs and digraphs.
- `centrality`: Centrality measures.
- `cliques`: Cliques - Find and manipulate cliques of graphs
- `cluster`: Compute clustering coefficients and transitivity of graphs.
- `cores`: Find and manipulate the k-cores of a graph
- `drawing`
  - `layout`: Layout (positioning) algorithms for graph drawing.
  - `nx_pydot`: Import and export networkx networks to dot format using pydot.
  - `nx_pylab`: Draw networks with matplotlib/pylab.
  - `nx_vtk`: Draw networks in 3d with vtk.
- `generators`: A package for generating various graphs in networkx.
  - `atlas`: Generators for the small graph atlas.
  - `classic`: Generators for some classic graphs.
  - `degree_seq`: Generate graphs with a given degree sequence.
  - `geometric`: Generators for geometric graphs.
  - `random_graphs`: Generators for random graphs
  - `small`: Various small and named graphs, together with some compact generators.
- `hybrid`: Hybrid
- `io`: Read and write graphs and networks.
- `isomorph`: Fast checking to see if graphs are not isomorphic.
- `operators`: Operations on graphs; including union, complement, subgraph.
- `paths`: Shortest paths, diameter, radius, eccentricity, and related methods.
- `queues`: Helper queues for use in graph searching.
- `release`: Release data for NetworkX.
- `search`: Search algorithms, shortest path, spanning trees, etc.
- `search_class`: Graph search classes
- `spectrum`: Laplacian, adjacency matrix, and spectrum of graphs.
- `threshold`: Threshold Graphs - Creation, manipulation and identification.
- `utils`: Utilities for networkx package
- `xbase`: Methods for general graphs (XGraph) and digraphs (XDiGraph) allowing self-loops, multiple edges, arbitrary (hashable) objects as nodes and arbitrary objects associated with edges.

Variable Summary
`str` | `__author__` = `'Aric Hagberg <hagberg@lanl.gov>\nDan Schul...`
`str` | `__date__` = `'Sun Aug 21 08:06:34 2005'`
`str` | `__license__` = `'LGPL'`
`str` | `__version__` = `'0.24'`

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Aric Hagberg <hagberg@lanl.gov>
        Dan Schult <dschult@colgate.edu>
        Pieter Swart <swart@lanl.gov>'''

### __date__

  Type:
    `str`
  Value:

        'Sun Aug 21 08:06:34 2005'

### __license__

  Type:
    `str`
  Value:

        'LGPL'

### __version__

  Type:
    `str`
  Value:

        '0.24'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net